package com.yidianling.im.session.viewholder;

import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.yidianling.nimbase.common.ui.recyclerview.adapter.BaseMultiItemFetchLoadAdapter;
import com.yidianling.uikit.business.session.viewholder.MsgViewHolderBase;
import com.yidianling.im.R;


/**
 * 开通预约时间提醒
 * Created by harvie on 2017/1/10.
 */

public class MsgViewHolderSubscriptTime extends MsgViewHolderBase {

    private View message_received;
    private TextView tit,content;
    private ImageView img;

    public MsgViewHolderSubscriptTime(BaseMultiItemFetchLoadAdapter adapter) {
        super(adapter);
    }


    @Override
    protected int getContentResId() {
        return R.layout.im_ui_message_subscript_time;
    }

    @Override
    protected void inflateContentView() {
        message_received=findViewById(R.id.message_received);
        tit = findViewById(R.id.packet_title);
        content = findViewById(R.id.text_content1);
        img = findViewById(R.id.packte_im);
    }

    @Override
    protected void bindContentView() {
//        CustomAttachReceivedMoney customAttachReceivedMoney= (CustomAttachReceivedMoney) message.getAttachment();
//        progressDialogFragment= ProgressDialogFragment_.builder().build();
//        orderid=customAttachReceivedMoney.getOrderId();
//        num = customAttachReceivedMoney.getNum();
//        title = customAttachReceivedMoney.getTitle();
//        orPay = customAttachReceivedMoney.getOrPay();
//        if (title!=null)tit.setText(title);
//
        hideItemBg();
    }

    @Override
    protected void onItemClick() {
        //跳转添加预约时间h5
//        Intent intent = new Intent(view.getContext(), H5Activity.class);
//        intent.putExtra("url", Constant.API_HOST_H5+"ex-experts/tm?" + LoginHelper.getInstance().getSuffixNo());
//        view.getContext().startActivity(intent);
    }

}
